# 86. Dotaz: Získat „Farms“

Následuje základní GraphQL dotaz používaný k načtení všech „farem“, ke kterým má uživatel přístup:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
dotaz FetchAllFarms {
  getFarms {
    uuid
    userUuid
    název
    farmOwnership
    externalKey
    ownerEmail
    datumVytvoření
    updatedDate
  }
}
```

{% endcode %}

Kromě dalších parametrů můžete použít `farmUuids` a `externalKeys` filtry pro přizpůsobení odpovědi. Tyto filtry lze použít samostatně nebo kombinovaně, což umožňuje cílenější načítání dat.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
dotaz FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    název
    farmOwnership
    externalKey
    ownerEmail
    datumVytvoření
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/cze/api-dokumentace/prehled-pozadavku-api-geopardu/86.-dotaz-ziskat-farms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
